# Constants 
{:.no_toc}

<nav markdown="1" class="toc-class">
* TOC
{:toc}
</nav>

## The goal

Numpy provides plenty of constants. 

Questions to [David Rotermund](mailto:davrot@uni-bremen.de)

## [The most important ones](https://numpy.org/doc/stable/reference/constants.html)

|||
|---|---|
|numpy.inf​|IEEE 754 floating point representation of (positive) infinity.​|
|numpy.nan​|IEEE 754 floating point representation of Not a Number (NaN).​|
|numpy.e​|Euler’s constant, base of natural logarithms, Napier’s constant.​ e = 2.71828182845904523536028747135266249775724709369995...​|
|**numpy.newaxis**​ | **A convenient alias for None, useful for indexing arrays**​ |
|numpy.pi​|pi = 3.1415926535897932384626433...​|

